@import "colors";
@import "fonts";

body {
  background: $background-color;
  font-family: $main-font;
  cursor: default;
}

a {
  cursor: pointer;
}
//for device
//.device {
//  position: relative;
//  margin: 17px 0 46px 0;
//  color: $device-color;
//  font-family: $secondary-font;
//  font-size: 16px;
//
//  &__mobile-horizontal-view {
//    display: none;
//  }
//
//  &__tablets {
//    display: none;
//  }
//
//  &__desktop {
//    display: none;
//  }
//
//  &__icon {
//    position: absolute;
//    top: -10px;
//    right: 2px;
//    width: 27px;
//    height: 41px;
//    background: url("../images/device-icon.png") no-repeat;
//  }
//}
//for header
.header {
  margin-bottom: 4px;

  &__nav {
    position: relative;
    display: flex;
    justify-content: space-between;
    height: 37px;
    background: $header__nav-bg-color;

    &-title {
      align-self: center;
      padding-left: 19px;
      font-family: $secondary-font;
      font-size: 12px;
      color: $header__nav-title-color;
    }

    &-menu {
      display: none;
      position: absolute;
      top: 37px;
      right: 0;
      z-index: 1;

      &--active {
        display: block;
      }
    }
  }

  &__menu-list {
    list-style: none;
    padding-left: 0;
    width: 182px;
    background: $header__menu-list-bg-color;
  }

  &__menu-item {
    border-top: 1px solid $header__menu-border-color;
    border-bottom: 1px solid $header__menu-border-color;
    cursor: pointer;
  }

  &__menu-link {
    display: block;
    padding: 14px 0 14px 12px;
    font-family: $main-font;
    font-size: 12px;
    color: $header__menu-link-color;
    text-decoration: none;

    &:focus, &:hover {
      background: $header__menu-item-color-hover;
    }
  }

  &__hamburger {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 41px;
    background: $header__hamburger-bg-color;
    cursor: pointer;

    &-icon {
      color: $header__hamburger-color;
      font-size: 18px;
    }
  }

  &__title {
    background: url("../images/header__title-bg.png") no-repeat;
    background-size: cover;
    padding: 19px 0 94px 20px;
  }

  &__slogan {
    font-family: $main-font;
    font-size: 16px;
    font-weight: 600;
    color: $header__slogan-color;
    margin-bottom: 11px;
  }

  &__link {
    color:$header__link-color;
    font-family: $main-font;
    font-size: 14px;
    font-weight: 600;
    text-decoration: none;
  }
}

//for services block
.services {
  display: flex;
  flex-direction: column;
  margin-bottom: 26px;

  &__item {
    display: flex;
    justify-content: space-between;
    height: 71px;
    margin-bottom: 2px;
    cursor: pointer;

    &--delivery {
      background: url("../images/pizza.png") 50% 90% no-repeat;
      background-size: cover;
    }
    &--salads {
      background: url("../images/salads.png") 50% 90% no-repeat;
      background-size: cover;
    }
    &--desserts {
      background: url("../images/desserts.png") 50% 20% no-repeat;
      background-size: cover;
    }

    &-title {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 77.8125%;
    }

    &-link {
      color: $services__title-color;
      font-family: $main-font;
      font-size: 20px;
      text-decoration: none;
      text-align: center;
    }

    &-btn-load {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 22.1875%;
      background: $services__btn-bg-color;
      color: $services__btn-color;
      cursor: pointer;
      padding: 0;
    }
  }
}

//for menu block

.menu {
  margin-bottom: 19px;

  &__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
  }

  &__title {
    margin-bottom: 4px;
    padding-left: 9px;
    font-family: $main-font;
    font-size: 18px;
    text-transform: uppercase;
    color: $menu__title-color;
  }
  &__description {
    padding-left: 9px;
    font-family: $main-font;
    font-size: 10px;
    color: $menu__description-color;
  }
  &__logo {
    display: none;
  }

  &__container {
    display: flex;
    flex-direction: column;
  }

  &__category {
    margin-bottom: 7px;

    &-title {
      margin-bottom: 19px;
      padding: 12px 0 11px 19px;
      font-family: $main-font;
      font-size: 18px;
      text-transform: uppercase;

      &--dark {
        background: $menu__category-dark-bg-color;
        color: $menu__category-dark-color;
      }

      &--green {
        background: $menu__category-green-bg-color;
        color: $menu__category-green-color;
      }
    }
  }

  &__subcategory {
    position: relative;
    padding: 0 19px;
    margin-bottom: 11px;

    &-title {
      font-family: $main-font;
      font-size: 15px;
      text-transform: uppercase;
      color: $menu__subcategory-color;
      margin-bottom: 21px;
    }
    &-img {
      position: absolute;
      top: -5px;
      right: 18px;

      &--pizza {
        width: 25px;
        height: 25px;
        background: url("../images/menu-pizza.png") no-repeat center;
        background-size: cover;
      }
      &--wine {
        width: 15px;
        height: 25px;
        background: url("../images/menu-wine.png") no-repeat center;
        background-size: cover;
      }
      &--coffee {
        width: 30px;
        height: 20px;
        background: url("../images/menu-coffe.png") no-repeat center;
        background-size: cover;
      }
      &--beer {
        width: 20px;
        height: 20px;
        background: url("../images/menu-beer.png") no-repeat center;
        background-size: cover;
      }
    }
    &-list {
    }
    &-item {
      position: relative;
      margin-bottom: 11px;
      color: $menu__subcategory-color;
      font-family: $main-font;

      &-title {
        margin-bottom: 8px;
        font-size: 13.5px;
      }
      &-price {
        font-size: 13.5px;
        position: absolute;
        top: 0;
        right: 0;
      }
      &-description {
        font-size: 8.7px;
        text-align: justify;
      }
    }
  }
}

//for footer

.footer {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 55px;
  padding: 0 30px;
  background: $footer-bg-color;

  &__logo {
    display: none;
  }

  &__description {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: $footer-color;
    font-size: 12px;
    font-family: $main-font;
    font-weight: 500;

    :first-child {
      margin-bottom: 8px;
    }
  }
}

//media queries

@media screen and (min-width: 640px) and (max-width: 979px) {
  //for device-block
  //.device {
  //  margin: 31px 0 46px 0;
  //  &__mobile {
  //    display: none;
  //  }
  //
  //  &__mobile-horizontal-view {
  //    display: block;
  //  }
  //  &__icon {
  //    position: absolute;
  //    top: -20px;
  //    right: 2px;
  //  }
  //}
  //for header-block
  .header {
    &__nav {
      height: 37px * 2;
      &-title {
        padding-left: 38px;
        font-size: 12px * 2;
      }
      &-menu {
        top: 37px * 2;
      }
    }
    &__menu-list {
      width: 243px;
    }
    &__menu-link {
      padding: 21px 0 22px 27px;
      font-size: 14px;
    }

    &__hamburger {
      width: 41px * 2;
    }

    &__hamburger-icon {
      font-size: 17px *2;
    }

    &__title {
      padding: 30px 0 197px 37px;
    }

    &__slogan {
      font-size: 36px;
      margin-bottom: 22px;
      line-height: 40px;
    }

    &__link {
      font-size: 24px;
    }
  }
  //for services block
  .services {

    &__item {
      height: 150px;
      margin-bottom: 3px;

      &-link {
        font-size: 36px;
      }
    }
  }

  //for menu block

  .menu {
    margin-bottom: 72px;
    padding-top: 19px;

    &__header {
      margin-bottom: 20px;
    }

    &__title {
      margin-bottom: 9px;
      padding-left: 22px;
      font-size: 27px;
    }

    &__description {
      padding-left: 11px * 2;
      font-size: 13px;
    }

    &__category {

      &-title {
        margin-bottom: 38px;
        padding: 23px 0 23px 38px;
        font-size: 27px;
      }
    }

    &__subcategory {
      padding: 0 35px;
      margin-bottom: 23px;

      &-title {
        font-size: 19.5px;
        margin-bottom: 21px * 2;
      }

      &-img {
        top: -5px * 2;
        right: 18px * 2;

        &--pizza {
          width: 25px * 2;
          height: 25px * 2;
        }

        &--wine {
          width: 15px * 2;
          height: 25px * 2;
        }

        &--coffee {
          width: 30px * 2;
          height: 20px * 2;
        }

        &--beer {
          width: 20px * 2;
          height: 20px * 2;
        }
      }

      &-item {
        margin-bottom: 22px;

        &-title {
          font-size: 19.5px;
          margin-bottom: 16px;
        }

        &-description {
          font-size: 17.5px;
          text-align: justify;
        }

        &-price {
          font-size: 19.5px;
        }
      }
    }
  }
  //for footer block
  .footer {
    height: 97px;
    padding: 0 139px;
    //margin-bottom: 73px;

    &__description {
      font-size: 18px;
    }
  }
}

@media screen and (min-width: 980px) and (max-width: 1199px) {
  //for device block
  //.device {
  //  margin: 28px 0 38px 0;
  //
  //  &__mobile {
  //    display: none;
  //  }
  //
  //  &__mobile-horizontal-view {
  //    display: none;
  //  }
  //
  //  &__tablets {
  //    display: block;
  //  }
  //
  //  &__icon {
  //    position: absolute;
  //    top: -15px;
  //    right: 2px;
  //    width: 44px;
  //    height: 56px;
  //    background: url("../images/device-tb.png") 50% 50% no-repeat;
  //  }
  //}
  //for header block
  .header {
    margin-bottom: 6px;

    &__nav {
      position: relative;
      display: flex;
      justify-content: space-between;
      height: 97px;

      &-title {
        display: none;
      }
      &-menu {
        position: static;
        display: flex;
        width: 100%;
        padding: 0 30px;
        justify-content: space-between;
        align-items: center;
      }
    }

    &__menu-list {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        height: 100%;
        background: none;
    }

    &__menu-item {
      border: none;
    }
    &__menu-link {
        font-family: $secondary-font;
        font-size: 15px;
        color: #ebebeb;
        text-transform: uppercase;

      &:focus, &:hover {
        background: none;
        color: #a6d6e0;
      }
    }

    &__menu-logo {
      margin-left: 184px;
      display: block;
      width: 104px;
      height: 83px;
      text-decoration: none;
      cursor: pointer;
    }

    &__hamburger {
        display: none;
    }

    &__title {
      padding: 64px 0 260px 30px;
    }

    &__slogan {
      font-size: 54px;
      margin-bottom: 57px;
      line-height: 65px;
    }

    &__link {
      font-size: 34px;
    }
  }
  //for services block
  .services {
    flex-direction: row;
    margin-bottom: 50px;
    height: 327px;

    &__item {
      width: 33.3%;
      height: 327px;
      display: flex;
      justify-content: center;
      align-items: center;

      &-link {
        font-size: 38px;
      }

      &-btn-load {
        display: none;
      }
    }
  }
  //for menu block
  .menu {
    margin-bottom: 31px;

    &__header {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-bottom: 11px;
      padding: 0 30px;
    }

    &__title {
      margin-bottom: 10px;
      font-size: 30px;
    }
    &__description {
      font-size: 17px;
    }

    &__logo {
      display: block;
    }
    &__container {
      display: flex;
      flex-direction: row;
    }
    &__category {

      &-title {
        margin-bottom: 41px;
        padding: 27px 0 23px 18px;
        font-size: 29px;
      }
    }
    &__subcategory {
      padding: 0 15px;
      margin-bottom: 25px;

      &-title {
        font-size: 27px;
        margin-bottom: 43px;
      }
      &-img {
        top: -10px;
        right: 15px;

        &--pizza {
          width: 42px;
          height: 42px;
        }

        &--wine {
          width: 25px;
          height: 44px;
        }

        &--coffee {
          width: 56px;
          height: 39px;
        }

        &--beer {
          width: 40px;
          height: 40px;
        }
      }
      &-item {
        margin-bottom: 28px;

        &-title {
          font-size: 21px;
          margin-bottom: 16px;
        }

        &-description {
          font-size: 16px;
          text-align: justify;
        }

        &-price {
          font-size: 24px;
        }
      }
    }
  }
  .footer {
    height: 97px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 30px;

    &__logo {
      display: block;
    }
    &__description {
      display: flex;
      flex-direction: row;
      font-size: 18px;

      :first-child {
        margin: 0;
      }
    }
  }
}

@media screen and (min-width: 1200px) {
  //.device {
  //  margin: 56px 0 49px 0;
  //
  //  &__mobile {
  //    display: none;
  //  }
  //  &__mobile-horizontal-view {
  //    display: none;
  //  }
  //  &__tablets {
  //    display: none;
  //  }
  //  &__desktop {
  //    display: block;
  //  }
  //
  //  &__icon {
  //    position: absolute;
  //    top: -30px;
  //    right: 2px;
  //    width: 83px;
  //    height: 73px;
  //    background: url("../images/device-pc.png") 50% 50% no-repeat;
  //  }
  //}
  //for header block
  .header {
    margin-bottom: 6px;

    &__nav {
      position: relative;
      display: flex;
      justify-content: space-between;
      height: 97px;

      &-title {
        display: none;
      }
      &-menu {
        position: static;
        display: flex;
        width: 100%;
        padding: 0 37px;
        justify-content: space-between;
        align-items: center;
      }
    }

    &__menu-list {
      display: flex;
      justify-content: space-between;
      align-items: center;
      width: 100%;
      height: 100%;
      background: none;
    }

    &__menu-item {
      border: none;
    }
    &__menu-link {
      font-family: $secondary-font;
      font-size: 15px;
      color: #ebebeb;
      text-transform: uppercase;

      &:focus, &:hover {
        background: none;
        color: #a6d6e0;
      }
    }

    &__menu-logo {
      margin-left: 184px;
      display: block;
      width: 104px;
      height: 83px;
      text-decoration: none;
      cursor: pointer;
    }

    &__hamburger {
      display: none;
    }

    &__title {
      padding: 55px 0 379px 37px;
    }

    &__slogan {
      font-size: 62px;
      margin-bottom: 53px;
      line-height: 65px;
    }

    &__link {
      font-size: 38px;
    }
  }
  //for services block
  .services {
    flex-direction: row;
    margin-bottom: 77px;
    height: 400px;

    &__item {
      width: 33.3%;
      height: 400px;
      display: flex;
      justify-content: center;
      align-items: center;

      &-link {
        font-size: 43px;
      }

      &-btn-load {
        display: none;
      }
    }
  }
  //for menu block
  .menu {
    margin-bottom: 31px;

    &__header {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-bottom: 16px;
      padding: 0 22px;
    }

    &__title {
      margin-bottom: 9px;
      font-size: 35px;
    }
    &__description {
      font-size: 17px;
    }

    &__logo {
      display: block;
    }
    &__container {
      display: flex;
      flex-direction: row;
    }
    &__category {

      &-title {
        margin-bottom: 38px;
        padding: 23px 0 23px 18px;
        font-size: 29px;
      }
    }

    &__subcategory {
      padding: 0 15px;
      margin-bottom: 25px;

      &-title {
        font-size: 27px;
        margin-bottom: 46px;
      }

      &-img {
        top: -10px;
        right: 15px;

        &--pizza {
          width: 42px;
          height: 42px;
        }

        &--wine {
          width: 25px;
          height: 44px;
        }

        &--coffee {
          width: 56px;
          height: 39px;
        }

        &--beer {
          width: 40px;
          height: 40px;
        }

      }
      &-item {
        margin-bottom: 28px;

        &-title {
          font-size: 21px;
          margin-bottom: 16px;
        }

        &-description {
          font-size: 17px;
          text-align: justify;
        }

        &-price {
          font-size: 24px;
        }
      }
    }
  }
  .footer {
    height: 97px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 30px;

    &__logo {
      display: block;
    }

    &__description {
      display: flex;
      flex-direction: row;
      font-size: 18px;

      :first-child {
        margin: 0;
      }
    }
  }
}




